﻿using BPA.KitChen.GroupMeal.Application.Service.OneCard.DiningPlate.Dtos;
using BPA.KitChen.GroupMeal.Core.Entity;
using BPA.KitChen.GroupMeal.Core.Enum;
using BPA.KitChen.GroupMeal.SqlSugar;
using Furion.FriendlyException;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static BPA.KitChen.GroupMeal.Application.Service.AExternalPlatform.Service.DiningPlateService.Dtos.InputDto;

namespace BPA.KitChen.GroupMeal.Application.Service.AExternalPlatform.Service.DiningPlateService.Service
{
    public interface IDiningPlateService
    {
        /// <summary>
        ///更具二维码 获取餐盘信息
        /// </summary>
        Task<BPA_DiningPlate> GetDiningPlateInfoByQRCode(DiningPlateQRCodeInputDto inputDto);

        /// <summary>
        ///更具芯片码 获取餐盘信息
        /// </summary>
         Task<BPA_DiningPlate> GetDiningPlateInfoByChipCode(DiningPlateChipCodeInputDto inputDto);

        /// <summary>
        /// 根据二维码修改餐盘信息（有就修改没有就新增）
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> EditDiningPlateByQRCode(DiningPlateCreateOrUpdataDto inputDto);
    }
}
