﻿using BPA.KitChen.GroupMeal.Core.Entity.Base;
using BPA.KitChen.GroupMeal.Core.Enum;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Entity
{
    /// <summary>
    /// 餐盘
    /// </summary>
    [SugarTable("bpa_diningplate")]
    public class BPA_DiningPlate: IBaseGroupIdEntity
    {

        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }


        /// <summary>
        /// 是否付费餐盘
        /// </summary>
        public bool  IsPay { get; set; }


    }
}
