﻿
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService.Services;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService
{
   
    [ApiDescriptionSettings("开放平台", Tag = "检查"), AllowAnonymous]
    public class CheckServices : IDynamicApiController
    {
        private readonly ICheckServices _checkServices;
        public CheckServices(ICheckServices checkServices)
        {
            _checkServices = checkServices;
        }

        /// <summary>
        ///检查Sign
        /// </summary>
        public async Task CheckSign(string key, string signStr, string signMd5)
        {
           await _checkServices.CheckSign( key,  signStr,  signMd5);
        }


    }
}
